Subject: Re: [PATCH net-next v7 2/2] Add tests for vxlan nolocalbypass option.

From: Ido Schimmel <[email-masked]>
Date: Fri, 5 May 2023 11:52:15 +0300

On Fri, May 05, 2023 at 09:33:03AM +0800, Vladimir Nikishkin wrote:
> 
> Ido Schimmel <[email-masked]> writes:
> 
> > On Tue, May 02, 2023 at 12:25:30AM +0800, Vladimir Nikishkin wrote:
> >> Add test to make sure that the localbypass option is on by default.
> >> 
> >> Add test to change vxlan localbypass to nolocalbypass and check
> >> that packets are delivered to userspace.
> >
> > What do you think about this version [1]?
> 
> I think that your idea of making "nolocalbypass" applicable universally
> is more clear and more straightforward than doing an exception to a
> special case, as the original patch does. I had actually considered such
> a change myself, and only decided against it because I wanted a patch
> that changes the existing behaviour in a minimal way.
> 
> If you are happy with a more radical behaviour for "nolocalbypass", I am
> all for it.

I'm fine with it. We are not changing the default behavior, but instead
gating the new functionality behind a new option whose name fits the
implementation and also - I believe - users' expectations.

> 
> I can even imagine a line in the documentation, something along the
> lines of "The use of the nolocalbypass flag makes debugging easier,
> because the packets are seen on widely available userspace network
> debugging tools, such as tcpdump. You might want to debug and tweak your
> system using this flag, and when you are convinced that the system is
> working as expected, turn it off for a performance gain."
> 
> I will re-submit this series of patches on after the 8th of May 2023.

Cool. Keep in mind that net-next does not automatically open when rc1 is
released. You can monitor the list for the "net-next is OPEN" mail or
follow the suggestions mentioned here:
https://www.kernel.org/doc/html/latest/process/maintainer-netdev.html?highlight=netdev#git-trees-and-patch-flow